Subject: RE: bug#12443: 24.2.50; Default values in the minibuffer prompt (fix inconsisntecy)

From: "Drew Adams" <[email-masked]>
Date: Fri, 14 Sep 2012 13:55:07 -0700

> >> It's a matter of taste (some people prefer the "(default ...)").
> >
> > maybe, but other people (Drew, you, me and I guess many 
> > others) prefer other behavior.
> >
> > Therefore, it seems that this should be user-configurable.
> 
> A new/first-time user will need a hint.
> 
> An experienced user or a user with some experience - one who 
> knows what to expect, where and when - will find it a clutter.

So make the default value do what we do now, if you really think such a hint is
important for newbies.  But give users the choice.

FWIW, I do not think that newbies need such a hint, anymore than they might need
hints about hitting TAB for completion or a host of other things one could
imagine are as new to them as `M-n'.  But I am not adamantly against providing
such hints by default.